//
//  NSDictionary+TwitterAdditions.m
//  TwitterEngine
//
//  Created by Xiao Xiao on 11-12-19.
//  Copyright (c) 2011年 Xiao Xiao. All rights reserved.
//

#import "NSDictionary+TwitterAdditions.h"
//#import "NSMultableDictionary.h"

@implementation NSDictionary (TwitterAdditions)

+ (NSDictionary *)dictionaryWithObjectsAndKeysExcludeNull:(id)firstObject , ...
{
    NSMutableDictionary *dictionary = [NSMutableDictionary dictionary];
//    if (firstObject) // The first argument isn't part of the varargs list,
//    {                                   // so we'll handle it separately.
//        [self addObject: firstObject];
//        va_start(argumentList, firstObject); // Start scanning for arguments after firstObject.
//        while (eachObject = va_arg(argumentList, id)) // As many times as we can get an argument of type "id"
//            [self addObject: eachObject]; // that isn't nil, add it to self's contents.
//        va_end(argumentList);
//    }
    va_list args;
    NSString *argObject = firstObject;
    NSString *argKey = nil;
    va_start(args, firstObject);
    argKey = va_arg(args, NSString*);
    do {
        if (argObject == nil || argKey == nil) {
            break;
        }
        if ((id)argObject != [NSNull null] && (id)argKey != [NSNull null]) {
            [dictionary setObject:argObject forKey:argKey];
        }
        
        argObject = va_arg(args, NSString*);
        if (argObject == nil) {
            break;
        }
        argKey = va_arg(args, NSString*);
        
    } while (argObject != nil);
    va_end(args);
    
    return [NSDictionary dictionaryWithDictionary:dictionary];
}

@end
