//
//  TwitterRequestURLs.h
//  TwitterEngine
//
//  Created by Xiao Xiao on 11-12-17.
//  Copyright (c) 2011年 Xiao Xiao. All rights reserved.
//

/**
 @Overview:
 Here are the Twitter REST API urls.
 */

#ifndef TwitterEngine_TwitterRequestURLs_h
#define TwitterEngine_TwitterRequestURLs_h

/** Timelines */
#define TwitterPublicTimelineURL @"http://api.twitter.com/1/statuses/public_timeline.json"
#define TwitterHomeTimelineURL @"http://api.twitter.com/1/statuses/home_timeline.json"
#define TwitterUserTimelineURL @"http://api.twitter.com/1/statuses/user_timeline.json"
#define TwitterMentionsURL @"http://api.twitter.com/1/statuses/mentions.json"
#define TwitterRetweetedByMeURL @"http://api.twitter.com/1/statuses/retweeted_by_me.json"
#define TwitterRetweetedToMeURL @"http://api.twitter.com/1/statuses/retweeted_to_me.json"
#define TwitterRetweetsOfMeURL @"http://api.twitter.com/1/statuses/retweets_of_me.json"
#define TwitterRetweetedToUserURL @"http://api.twitter.com/1/statuses/retweeted_to_user.json"
#define TwitterRetweetByUserURL @"http://api.twitter.com/1/statuses/retweeted_by_user.json"

/** Tweets */
#define TwitterRetweetByURL @"http://api.twitter.com/1/statuses/%@/retweeted_by.json"
#define TwitterRetweetByIDsURL @"http://api.twitter.com/1/statuses/%@/retweeted_by/ids.json"
#define TwitterRetweetsURL @"http://api.twitter.com/1/statuses/retweets/%@.json"
#define TwitterShowURL @"http://api.twitter.com/1/statuses/show/%@.json"
#define TwitterDestroyURL @"http://api.twitter.com/1/statuses/destroy/%@.json"
#define TwitterRetweetURL @"http://api.twitter.com/1/statuses/retweet/%@.json"
#define TwitterUpdateURL @"http://api.twitter.com/1/statuses/update.json"
#define TwitterUpdateWithMediaURL @"https://upload.twitter.com/1/statuses/update_with_media.json"
#define TwitterOEmbedURL @"http://api.twitter.com/1/statuses/oembed.json"

/** Search */
#define TwitterSearchURL @"http://search.twitter.com/search.json"

/** Friends & Followers */
#define TwitterFollowersIDsURL @"http://api.twitter.com/1/followers/ids.json"
#define TwitterFriendsIDsURL @"http://api.twitter.com/1/friends/ids.json"
#define TwitterFriendshipsExistsIDsURL @"http://api.twitter.com/1/friendships/exists.json"
#define TwitterFriendshipsIncomingIDsURL @"http://api.twitter.com/1/friendships/incoming.json"
#define TwitterFriendshipsOutgoingIDsURL @"http://api.twitter.com/1/friendships/outgoing.json"
#define TwitterFriendshipsShowURL @"http://api.twitter.com/1/friendships/show.json"
#define TwitterFriendshipsCreateURL @"http://api.twitter.com/1/friendships/create.json"
#define TwitterFriendshipsDestroyURL @"http://api.twitter.com/1/friendships/destroy.json"
#define TwitterFriendshipsLookupURL @"http://api.twitter.com/1/friendships/lookup.json"
#define TwitterFriendshipsUpdateURL @"http://api.twitter.com/1/friendships/update.json"
#define TwitterFriendshipsNoRetweetIDsURL @"http://api.twitter.com/1/friendships/no_retweet_ids.json"

/** Users */
#define TwitterUsersLookupURL @"http://api.twitter.com/1/users/lookup.json"
#define TwitterUsersProfileImageURL @"http://api.twitter.com/1/users/profile_image/%@.json"
#define TwitterUsersSearchURL @"http://api.twitter.com/1/users/search.json"
#define TwitterUsersShowURL @"http://api.twitter.com/1/users/show.json"
#define TwitterUsersContributeesURL @"http://api.twitter.com/1/users/contributees.json"
#define TwitterUsersContributorsURL @"http://api.twitter.com/1/users/contributors.json"

/** Suggested Users */
#define TwitterUsersSuggestionsURL @"http://api.twitter.com/1/users/suggestions.json"
#define TwitterUsersSuggestionsCategoryURL @"http://api.twitter.com/1/users/suggestions/%@.json"
#define TwitterUsersSuggestionsCategoryMembersURL @"http://api.twitter.com/1/users/suggestions/%@/menbers.json"

/** Favorites */
#define TwitterFavoritesURL @"http://api.twitter.com/1/favorites.json"
#define TwitterFavoritesCreateURL @"http://api.twitter.com/1/favorites/create/%@.json"
#define TwitterFavoritesDestroyURL @"http://api.twitter.com/1/favorites/destroy/%@.json"

/** Lists */

/** Accounts */
#define TwitterAccountLimitURL @"http://api.twitter.com/1/account/rate_limit_status.json"
#define TwitterAccountUpdateProfileURL @"http://api.twitter.com/1/account/update_profile.json"
#define TwitterAccountUpdateProfileBackgroundImageURL @"http://api.twitter.com/1/account/update_profile_background_image.json"
#define TwitterAccountUpdateProfileImageURL @"http://api.twitter.com/1/account/update_profile_image.json"
#define TwitterAccountTotalsURL @"http://api.twitter.com/1/account/totals.json"

/** Saved Searches */

/** Local Trends */

/** Places & Geo */

/** Trends */

/** Block */

/** Spam Reporting */




#endif
