//
//  XXTwitterKit.m
//  XXTwitterKit
//
//  Created by Xiao Xiao on 11-12-21.
//  Copyright 2011年 Xiao Xiao. All rights reserved.
//	File created using Singleton XCode Template by Mugunth Kumar (http://blog.mugunthkumar.com)
//  More information about this template on the post http://mk.sg/89	
//  Permission granted to do anything, commercial/non-commercial with this file apart from removing the line/URL above

#import "XXTwitterKit.h"

@implementation XXTwitterKit

#pragma mark -
#pragma mark Singleton Methods

+ (XXTwitterKit*)sharedInstance {

	static XXTwitterKit *_sharedInstance;
	if(!_sharedInstance) {
		static dispatch_once_t oncePredicate;
		dispatch_once(&oncePredicate, ^{
			_sharedInstance = [[super allocWithZone:nil] init];
			});
		}

		return _sharedInstance;
}

+ (id)allocWithZone:(NSZone *)zone {	

	return [self sharedInstance];
}


- (id)copyWithZone:(NSZone *)zone {
	return self;	
}

#if (!__has_feature(objc_arc))

- (id)retain {	

	return self;	
}

- (unsigned)retainCount {
	return UINT_MAX;  //denotes an object that cannot be released
}

- (void)release {
	//do nothing
}

- (id)autorelease {

	return self;	
}
#endif

#pragma mark -
#pragma mark Init & Activate
- (XXTwitterKit *)init
{
    engine = [[TwitterEngine alloc]init];
    return self;
}

- (BOOL)addAccount:(ACAccount *)account
{
    return [engine activateWithAccount:account];
}


@end
